# SourcePath: libcap2/20160308dev
Summary: Library for getting/setting POSIX.1e capabilities
Name: sony-target-dev-libcap2
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libcap2
Version: 2.25
Release: 12010001
License: BSD / GPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4
Source: libcap-%{version}.tar.gz
Patch0: libcap-makerule.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
This is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package -n %{pkgname}
Summary: Library for getting/setting POSIX.1e capabilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%prep
%setup -q -n libcap-%{version}
%patch0 -p1

%build
%sony_target_dev_setup
make -C libcap _makenames
make all CC="${CC}" \
	prefix=%{sony_target_dev_prefix} \
	| tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%define sony_objdir .
%sony_target_dev_makeinstall \
	prefix=%{sony_target_dev_prefix} \
	| tee -a build.log

# move capability.h -> /tool/usr/include
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}
cd %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/include
mv sys %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}
cd -
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

### mv %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man \
###	%{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
### rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.a

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/sys/capability.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.so.2
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.so.2.25
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libcap.pc
%{sony_target_dir}%{sony_target_dev_sbin_dir}/capsh
%{sony_target_dir}%{sony_target_dev_sbin_dir}/getcap
%{sony_target_dir}%{sony_target_dev_sbin_dir}/getpcaps
%{sony_target_dir}%{sony_target_dev_sbin_dir}/setcap

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Mar 08 2016 Sony Corporation
- Updated Sourcepath.

* Fri Mar 04 2016 Sony Corporation
- Version updated to libcap-2.25.

* Mon Aug 12 2013 Sony Corporation
- Changed License information.

* Fri Jul 27 2012 Sony Corporation
- Moved headers /usr/include -> /tool/usr/include

* Thu Jan 13 2005 Sony Corporation - rel-libcap
- delete execcap getpcaps setpcaps sucap command.

* Tue Nov 18 2004 Sony Corporation
- delete online manual

* Fri Aug 27 2004 Sony Corporation - 1.10-1
- Conformed to 20040825-rule

* Wed Aug 18 2004 Sony Corporation - dev-libcap
- Initial build.
